Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.tree
Class JMeterTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.apache.jmeter.gui.tree.JMeterTreeNode

All Implemented Interfaces:
  Cloneable, MutableTreeNode, NamedTreeNode, Serializable, TreeNode

public class JMeterTreeNode
extends DefaultMutableTreeNode
implements NamedTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`JMeterTreeNode()`
`JMeterTreeNode(TestElement userObj, JMeterTreeModel treeModel)`

Method Summary
`JPopupMenu` | `createPopupMenu()`
`String` | `getDocAnchor()`
`ImageIcon` | `getIcon()`
`ImageIcon` | `getIcon(boolean enabled)`
`Collection` | `getMenuCategories()`
`String` | `getName()`
`String` | `getStaticLabel()`
`TestElement` | `getTestElement()`
`boolean` | `isEnabled()`
`void` | `nameChanged()`
`void` | `setEnabled(boolean enabled)`
`void` | `setName(String name)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMeterTreeNode

    public JMeterTreeNode()

### JMeterTreeNode

    public JMeterTreeNode(TestElement userObj,
                          JMeterTreeModel treeModel)

Method Detail

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getIcon

    public ImageIcon getIcon()

### getIcon

    public ImageIcon getIcon(boolean enabled)

### getMenuCategories

    public Collection getMenuCategories()

### createPopupMenu

    public JPopupMenu createPopupMenu()

### getTestElement

    public TestElement getTestElement()

### getStaticLabel

    public String getStaticLabel()

### getDocAnchor

    public String getDocAnchor()

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `NamedTreeNode`

### getName

    public String getName()

  Specified by:
    `getName` in interface `NamedTreeNode`

### nameChanged

    public void nameChanged()

  Specified by:
    `nameChanged` in interface `NamedTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.